Skip to main content
`Ctrl`+`K`

# NEPMonitorRegisterDestroyFn

A function prototype for functions that do the after use destruction when provided to `NEPMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPMonitorRegisterDestroyFn(PetscViewerAndFormat **result);

## Calling Sequence

- vf - a `PetscViewerAndFormat` object to be destroyed, including any context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPMonitorRegisterFn`, `NEPMonitorSet()`, `NEPMonitorRegister()`, `NEPMonitorFn`, `NEPMonitorRegisterCreateFn`

## Level

advanced

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages